Windows系统安装————windows7 企业版 无法安装 NET.framework4.52-4.6版本在WIN7下解决办法-阿里云开发者社区

开发者社区> Tinywan.> 正文

Windows系统安装————windows7 企业版 无法安装 NET.framework4.52-4.6版本在WIN7下解决办法

简介:   官方安装包下载地址:https://www.microsoft.com/zh-cn/download/details.aspx?id=48137   我安装了NMM后提示NET.framework版本太低,需要4.52以上,但是我安装高版本的时候却出现了无法安装的问题。
+关注继续查看

  官方安装包下载地址:https://www.microsoft.com/zh-cn/download/details.aspx?id=48137

  我安装了NMM后提示NET.framework版本太低,需要4.52以上,但是我安装高版本的时候却出现了无法安装的问题。网上看了很多解决win7下NET.framework4.52-4.6版本安装过程中出现
进度条回滚,最后出现严重错误的解决方法。基本都没解决问题。
  实际上要解决的问题很简单,以我的电脑为例,我的是64位的系统,那么我需要找到C盘下,Windows文件夹里的system32和sysWOW64的这两个文件所有授权都勾选。
上图。以system32文件夹为例,sysWOW64重复步骤就行。

  system32右键属性,在安全选项卡里面。选择你现在的账户名称,点选步骤1处,编辑,弹出上图右侧对话框,再次在栏目列表里选择你的账户,将下面的栏目里面的完全控制勾选,应用,确定。如果此时提示你没有权限。请参照以下操作。

  回到system32属性页面,安全选项卡下,点选高级,弹出上图右侧对话框,点选所有者选项卡,在下面的选择栏目内将所有者选择成系统管理员,我这里选择的是Administrators,然后应用并确定。接下来重复上面授权的步骤。然后sysWOW64文件夹重复以上步骤。最后就是安装你所需要的NET。framework版本。希望能解决你们的问题。

  

开始安装,.net framework 4.6.2 x64

鼠标右键,管理员取得所有权限

 

安装成功!

版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

相关文章
Windows 技术篇-安装指定版本Internet Explorer浏览器方法,IE浏览器的升级和降级
Windows 技术篇-安装指定版本Internet Explorer浏览器方法,IE浏览器的升级和降级
7 0
Orcale(一)----WIN7 X64下安装ORACLE 10g(检查操作系统版本: 6.1a等问题)
<div class="markdown_views"> <p></p> <div class="toc"> <div class="toc"> <ul> <li><a href="#%E4%BA%8B%E5%87%BA%E6%9C%89%E5%9B%A0">事出有因</a></li> <li> <a href="#%E8%A7%A3%E5%86%B3%E6%96%B9%E6%
2051 0
ubuntu12.04 alternate win7 双系统安装
ubuntu alternate的安装比desktop复杂一点,因为alternate的安装过程有个步骤是检测cd-rom,如果你是刻盘安装,自然没问题,但是,现在的安装一般是将系统刻到U盘里,或者在硬盘中划出一个分区,将其制作成启动盘.
990 0
Windows2003 + IIS6 安装.Net FrameWork 4.0 兼容早期版本的测试
看到文档说.net4的框架可以向下兼容2.0、3.0、3.5这几个版本,觉得是一件好事,以后服务器上就不用费时费力的安装 2.0、3.5之类的框架了。但是又觉得奇怪,2.0和3.5的框架都是很大的,为什么现在这个小得多的4.0能同时运行 前几个版本的程序呢?是不是因为 win7上自带了3.5? 那win2003上会怎么样呢?      为了搞清楚这个问题,我重新装了一台全新的 win2003 ,系统装好后,添加 IIS。
901 0
Windows7旗舰版,安装语言报提示“初始化CBS时出现0*80004005错误”原因及解决办法
Windows7旗舰版,安装语言报提示“初始化CBS时出现0*80004005错误”,查阅原因是Windows Modules Installer项服务没启用,将这个服务改为自动启动,并启动之。
1872 0
centos win7双系统安装,在win7已经安装的基础上
Fat32 分区格式 linux,windows都能识别,但是他只支持单个文件小于4g的文件,由于我安装的centos7大于4g,而且linux不识别windows的ntfs格式的分区,所以我选择了linux识别的ext3的分区格式,但是在windows上不识别,所以只能ext2Fsd软件,让windows识别,注意(如果安装文件小于4g,不需要再安装ext2Fsd这个文件,只为让wind
1829 0
+关注
244
文章
1
问答
文章排行榜
最热
最新
相关电子书
更多
《2021云上架构与运维峰会演讲合集》
立即下载
《零基础CSS入门教程》
立即下载
《零基础HTML入门教程》
立即下载